complete -W "--help --version --git --info " -f atlas
complete -W "--debug= --display-name --gridA= --gridB= --ghost --haloA= --haloB= --matrix-free --checksum= --gmsh --no-validate--partitioner=" -f atlas-atest-mgrids
complete -W "--help -N --full --format --compact " -f atlas-gaussian-latitudes
complete -W " --help --debug= --display-name= --list --info --json --rtable --check --check-uid --check-boundingbox --precision= --approximate-resolution" -f atlas-grids
complete -W "--help --debug= --deisplay-name= --format= --version --details " -f  atlas-io-list

# --generator= [structured,regular,delaunay,cubedsphere]
# --partitioner= [ equal_regions,checkerboard,equal_bands,regular_band ]

complete -W "--help --debug= --display-name= --lonlat --ij --3d --ghost --generator= --partitioner=  \
         --include-pole --patch-pole --angle= \
         --regular \
        --halo= --edges --cells --brick --stats --info --periodic_x --periodic_y --torus --water --land --fixup --gmsh \
         --partition= --partitions= --partition-graph --partition-polygons " -f atlas-meshgen
